"plot.shewhart" <- function (x, start = 1, ...) {
    chart.obj <- x
    R <- chart.obj$R
    m <- length(R)
    time <- seq(start, m)
    R <- R[time]
    xbar <- chart.obj$xbar[time]
    oldpar <- par(mfrow = c(2, 1))
    plot(R ~ time, ylim = range(
        c(chart.obj$R.par$LCL, chart.obj$R.par$UCL, R)), 
        main = chart.obj$R.chart.label, ylab = chart.obj$R.ylabel, 
        pch = 16)
    abline(chart.obj$R.par$LCL, 0, col = "red", lwd = 2)
    abline(chart.obj$R.par$CL, 0, col = "blue")
    abline(chart.obj$R.par$UCL, 0, col = "red", lwd = 2)
    lines(time, R)
    plot(xbar ~ time, ylim = range(c(chart.obj$xbar.par$LCL, 
        chart.obj$xbar.par$UCL, xbar)), main = chart.obj$x.chart.label, 
        ylab = chart.obj$x.ylabel, pch = 16)
    abline(chart.obj$xbar.par$LCL, 0, col = "red", lwd = 2)
    abline(chart.obj$xbar.par$mu, 0, col = "blue")
    abline(chart.obj$xbar.par$UCL, 0, col = "red", lwd = 2)
    lines(time, xbar)
    par(oldpar)
}
