rrChart <-
function (RR, k = 3, revise = TRUE, newdata) {
    averages <- RR[,1]
    variances <- RR[,2]
    STDs <- sqrt(variances)
    if (!missing(newdata)) {
        newdata <- as.matrix(newdata)
        avg.xLR <- xLRChart(averages, k = k, revise = revise, newdata = newdata[,1])
        STD.xLR <- xLRChart(STDs, k = k, revise =  revise, newdata = newdata[,2])
    } else {
        avg.xLR <- xLRChart(averages, k = k, revise = revise)
        STD.xLR <- xLRChart(STDs, k = k, revise = revise)
    }
    avg.xLR$R <- STD.xLR$R
    avg.xLR$R.par <- STD.xLR$R.par
    avg.xLR$R.chart.label <- "Daily RR-Variability"
    avg.xLR$R.ylabel <- "precision"
    avg.xLR$x.ylabel <- "avg. rr"
    avg.xLR$x.chart.label <- "Daily Baseline RR"
    avg.xLR
}

